#!/bin/bash
#
# Build Docker Compose configuration
#

script_dir="$(
    cd -- "$(dirname "$0")" >/dev/null 2>&1 || exit 1
    pwd -P
)"
cd "$script_dir" || exit 1

cat main.env secret.env >.env || exit 2
ln -sfn ../.env frappe_docker/.env || exit 3
. .env || exit 4

cd "$script_dir/frappe_docker" || exit 5

# Generate YAML
docker compose -p erpnext \
  -f compose.yaml \
  -f overrides/compose.erpnext.yaml \
  -f overrides/compose.mariadb.yaml \
  -f overrides/compose.redis.yaml \
  -f overrides/compose.noproxy.yaml \
  -f ../compose.override.yaml \
  config >../docker-compose.yml
